# Asterisk Project : Asterisk 13 Function_GROUP_MATCH_COUNT

Created by wikibot on Aug 08, 2014

# GROUP_MATCH_COUNT()

### Synopsis

Counts the number of channels in the groups matching the specified pattern.

### Description

Calculates the group count for all groups that match the specified pattern. Note: category matching is applied after matching based on group. Uses standard regular expression matching on both (see regex(7)).

### Syntax

    GROUP_MATCH_COUNT(groupmatch@category)

##### Arguments

- `groupmatch` - A standard regular expression used to match a group name.
- `category` - A standard regular expression used to match a category name.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538